Bug 726717 - CVE-2011-2724 samba, cifs-utils (mount.cifs): check_newline returns EX_USAGE on error, not -1 (incomplete fix for CVE-2010-0547) [fedora-all]
CVE-2011-2724 samba, cifs-utils (mount.cifs): check_newline returns EX_USAGE ...
Product: Fedora
Classification: Fedora
Component: cifs-utils (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Layton
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-2724
  Show dependency treegraph
Reported: 2011-07-29 11:19 EDT by Jan Lieskovsky
Modified: 2014-06-18 03:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: cifs-utils-4.8.1-7.fc14
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-08-08 21:29:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-07-29 11:19:26 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2011-07-29 14:25:53 EDT
cifs-utils-4.8.1-7.fc14 has been submitted as an update for Fedora 14.
Comment 2 Fedora Update System 2011-07-30 23:50:43 EDT
Package cifs-utils-4.8.1-7.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cifs-utils-4.8.1-7.fc14'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-08-08 21:29:14 EDT
cifs-utils-4.8.1-7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.